Redmine::ApiTest::UsersTest fail if config.time_zone is set
Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: REST API Estimated time: 0.00 hour

Target version:

Resolution: Fixed Affected version:

Description
If you set config.time_zone to a value other than UTC, the test will fail.

Set config.time_zone in config/additional_environment.rb.
config.time_zone = 'Tokyo'

Run the test.

$ RAILS_ENV=test bundle exec rake db:migrate:reset

$ RAILS_ENV=test bundle exec rake test TEST=test/integration/api_test/users_test.rb
Run options: —--seed 38031

# Running:
olD

Failure:

Redmine: :ApiTest: :UsersTestf#test GET_/users/:id.xml_should_return_the_user [test/integration/api_t
est/users_test.rb:69]:

<2006-07-19T20:42:15Z> expected but was

<2006-07-20T05:42:15+09:00>..

Expected 0 to be >= 1.

bin/rails test test/integration/api_test/users_test.rb:64

Failure:
Redmine: :ApiTest: :UsersTest#test_GET_/users/:1id. json_should_return_the_user [test/integration/api_
test/users_test.rb:817]:
Expected: "2006-07-19T20:42:152"
Actual: "2006-07-20T05:42:154+09:00"

bin/rails test test/integration/api_test/users_test.rb:73

Finished in 1.581580s, 16.4393 runs/s, 91.6805 assertions/s.
26 runs, 145 assertions, 2 failures, 0 errors, 0 skips

Related issues:
Related to Redmine - Feature #33592: Include updated_on and passwd_changed_on... Closed

Associated revisions

Revision 19942 - 2020-08-02 07:26 - Go MAEDA
Redmine::ApiTest::UsersTest fails if config.time_zone is set (#33592, #33787).

Patch by Yuichi HARADA.
History

#1 - 2020-07-30 07:36 - Yuichi HARADA
- File 33787-apitest-failed.patch added

| have fixed the API tests. It does not depend on the UTC time zone.

#2 - 2020-07-31 04:06 - Mizuki ISHIKAWA
This is a fix for the test added in #33592.

#3 - 2020-07-31 07:28 - vzvu 3k6k

Thank you for fixing the tests. It looks good to me.

#4 - 2020-08-02 06:25 - Go MAEDA

- Related to Feature #33592: Include updated on and passwd_changed_on columns in users API response added

#5 - 2020-08-02 07:27 - Go MAEDA
- Category set to REST API
- Status changed from New to Closed

- Resolution set to Fixed

Committed the patch as a part of #33592. Thank you.

#6 - 2020-11-16 08:50 - Go MAEDA
- Assignee set to Go MAEDA
